Subject: Re: [RFC PATCH net-next v6 1/5] net: Add NDOs for hardware timestamp get/set

From: Jakub Kicinski <[email-masked]>
Date: Fri, 12 May 2023 10:41:05 -0700

On Thu, 11 May 2023 21:22:23 -0600 Max Georgiev wrote:
> > > +     int                     (*ndo_hwtstamp_get)(struct net_device *dev,
> > > +                                                 struct kernel_hwtstamp_config *kernel_config,
> > > +                                                 struct netlink_ext_ack *extack);  
> >
> > I'm not sure it is necessary to pass an extack to "get". That should
> > only give a more detailed reason if the driver refuses something.  
> 
> I have to admit I just followed Jakub's guidance adding "extack" to the
> list of parametres. I'll let Jakub to comment on that.

We can drop it from get, I can't think of any strong use case.